/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.announce.domain;

import lombok.Data;
import cn.hutool.core.bean.BeanUtil;
import io.swagger.annotations.ApiModelProperty;
import cn.hutool.core.bean.copier.CopyOptions;
import me.zhengjie.base.BaseEntity;

import javax.persistence.*;
import javax.validation.constraints.*;
import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author Li Rui
* @date 2021-11-30
**/
@Entity
@Data
@Table(name="dm_announce")
public class DmAnnounce extends BaseEntity implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Integer id;

    @Column(name = "announce_title")
    @ApiModelProperty(value = "公告标题")
    private String announceTitle;

    @Column(name = "announce_content")
    @ApiModelProperty(value = "公告内容")
    private String announceContent;

    @Column(name = "send_type")
    @ApiModelProperty(value = "发布方式(0.立刻发布 1.定时发布)")
    private Long sendType;

    @Column(name = "send_time")
    @ApiModelProperty(value = "定时发布公告时间")
    private Timestamp sendTime;

    @Column(name = "is_cancel")
    @ApiModelProperty(value = "是否取消定时发布(0.否 1.是)")
    private Long isCancel;

    @Column(name = "send_state")
    @ApiModelProperty(value = "发布状态(0.未发布 1.已发布)")
    private Long sendState;

//    @Column(name = "create_by")
//    @ApiModelProperty(value = "创建者")
//    private String createBy;
//
//    @Column(name = "update_by")
//    @ApiModelProperty(value = "更新者")
//    private String updateBy;
//
//    @Column(name = "create_time")
//    @ApiModelProperty(value = "创建时间")
//    private Timestamp createTime;
//
//    @Column(name = "update_time")
//    @ApiModelProperty(value = "更新时间")
//    private Timestamp updateTime;

    public void copy(DmAnnounce source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}