/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.announce.repository;

import me.zhengjie.modules.dm.announce.domain.DmAnnounce;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
* @website https://el-admin.vip
* @author Li Rui
* @date 2021-11-30
**/
public interface DmAnnounceRepository extends JpaRepository<DmAnnounce, Integer>, JpaSpecificationExecutor<DmAnnounce> {

    /**
     * 根据发送时间查询未发送未取消得公告

     * @param sendTime
     * @return
     */
    @Query(value = "select a.* from dm_announce as a where send_type = 1 and is_cancel = 0 and send_state =0 and send_time <= :sendTime", nativeQuery = true)
    List<DmAnnounce> findNotSendAnnounce(@Param("sendTime") String sendTime);

}