/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.announce.service.dto;

import lombok.Data;
import me.zhengjie.base.BaseDTO;

import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author Li Rui
* @date 2021-11-30
**/
@Data
public class DmAnnounceDto extends BaseDTO implements Serializable {

    /** id */
    private Integer id;

    /** 公告标题 */
    private String announceTitle;

    /** 公告内容 */
    private String announceContent;

    /** 发布方式(0.立刻发布 1.定时发布) */
    private Long sendType;

    /** 定时发布公告时间 */
    private Timestamp sendTime;

    /** 是否取消定时发布(0.否 1.是) */
    private Long isCancel;

    /** 发布状态(0.未发布 1.已发布) */
    private Long sendState;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;
}