/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.api.repository;

import me.zhengjie.modules.dm.api.domain.DmApi;
import me.zhengjie.modules.dm.api.service.dto.DmApiDto;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @website https://el-admin.vip
* @author Li Rui
* @date 2021-11-30
**/
public interface DmApiRepository extends JpaRepository<DmApi, Integer>, JpaSpecificationExecutor<DmApi> {


    @Transactional
    @Query(value = "SELECT * FROM dm_api api left join dm_system_api sysapi on  api.id = sysapi.api_id left join dm_system sys on sys.id = sysapi.system_id where sys.id = :systemId AND  api.status = :status",nativeQuery = true)
    List<DmApi> findByIdAndStatus(@Param("systemId") Integer systemId,@Param("status") Integer status);
}