/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.api.service.dto;

import lombok.Data;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.domain.LocalStorage;
import me.zhengjie.modules.dm.system.domain.DmSystem;

import java.sql.Timestamp;
import java.io.Serializable;
import java.util.List;

/**
* @website https://el-admin.vip
* @description /
* @author Li Rui
* @date 2021-11-30
**/
@Data
public class DmApiDto extends BaseDTO implements Serializable {

    /** id */
    private Integer id;

    /** 接口名称 */
    private String apiName;

    /** 接口地址 */
    private String apiUrl;

    /** 子系统列表 */
    private List<DmSystem> dmSystems;

    /** 接口文件 */
    private LocalStorage localStorage;

    /** 接口配置文件id */
    private Long storageId;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;
  /** status 0启动 1禁用  */
    private String status;
}