/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.informationApproval.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.modules.dm.information.domain.DmInformation;
import me.zhengjie.modules.dm.user.domain.DmUser;

/**
* @website https://el-admin.vip
* @description /
* @author xwx
* @date 2021-04-23
**/
@Data
public class DmInformationApprovalDto implements Serializable {

    /** 主键 */
    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    /** 信息主键 */
   private DmInformation information;

    /** 审批人 */
    private DmUser approvalUser;

    /** (00-待审核  01-审批通过(已发布） 02-审核未通过) */
    private String status;

    /** 审批备注 */
    private String approvalRemark;

    /** 是否为最新审批 */
    private Boolean isNew;

    /** 任务ID act_ru_task */
    private String taskId;

    /** 任务实例id act_ru_execution */
    private String procInstId;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建日期 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;
}