/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.system.domain;

import lombok.Data;
import cn.hutool.core.bean.BeanUtil;
import io.swagger.annotations.ApiModelProperty;
import cn.hutool.core.bean.copier.CopyOptions;
import me.zhengjie.base.BaseEntity;
import me.zhengjie.domain.LocalStorage;
import me.zhengjie.modules.dm.api.domain.DmApi;
import me.zhengjie.modules.dm.user.domain.DmUser;

import javax.persistence.*;
import javax.validation.constraints.*;
import java.sql.Timestamp;
import java.io.Serializable;
import java.util.List;

/**
* @website https://el-admin.vip
* @description /
* @author Li Rui
* @date 2021-11-30
**/
@Entity
@Data
@Table(name="dm_system")
public class DmSystem extends BaseEntity implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Integer id;

    @Column(name = "system_name")
    @ApiModelProperty(value = "子系统名称")
    private String systemName;

    @Column(name = "system_url")
    @ApiModelProperty(value = "子系统地址")
    private String systemUrl;

    @OneToOne
    @JoinColumn(name = "storage_id")
    @ApiModelProperty(value = "子系统图标")
    private LocalStorage storage;

    @OneToOne
    @JoinColumn(name = "user_id")
    @ApiModelProperty(value = "子系统管理员")
    private DmUser dmUser;

//    @ManyToMany
//    @ApiModelProperty(value = "子系统接口")
//    @JoinTable(name = "dm_system_api",
//            joinColumns = {@JoinColumn(name = "system_id",referencedColumnName = "id")},
//            inverseJoinColumns = {@JoinColumn(name = "api_id",referencedColumnName = "id")})
//    private List<DmApi> dmApis;

    public void copy(DmSystem source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}