/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.user.service.dto;

import lombok.Data;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.appMenu.domain.DmAppMenu;
import me.zhengjie.modules.dm.plateNumber.domain.DmPlateNumber;
import me.zhengjie.modules.dm.system.domain.DmSystem;
import me.zhengjie.modules.system.service.dto.DeptSmallDto;
import me.zhengjie.modules.system.service.dto.JobSmallDto;
import me.zhengjie.modules.system.service.dto.RoleSmallDto;

import java.sql.Timestamp;
import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
* @website https://el-admin.vip
* @description /
* @author shiguangji
* @date 2021-03-09
**/
@Data
public class DmUserDto extends BaseDTO implements Serializable {

    private String id;

    /** 姓名 */
    private String name;

    /** 账号 */
    private String username;

    /** 性别 */
    private String sex;

    /** 联系方式 */
    private String contacts;

    /** 邮箱 */
    private String email;

    /** 角色集合 */
    private Set<RoleSmallDto> roles;

    /** 岗位集合 */
    private Set<JobSmallDto> jobs;

    /** 部门 */
    private DeptSmallDto dept;

    /** 是否是审批人 */
    private Boolean isApprover;

    /** faceid */
    private String faceid;

    /** cardid */
    private String cardid;

    /** 员工工号 */
    private String userNumber;

    /** 用户编号 */
    private String userCode;

    /** 人员状态：1启用、0禁用 */
    private Boolean status;

    /** 人员种类(00-正式人员、01-外协单位、02-租户) */
    private String type;

    /** 根用户组id */
    private String userRootGroupId;

    /** 根用户组名称 */
    private String userRootGroupName;

    /** 车牌信息 */
    private Set<DmPlateNumber> plateNumbers;

//    /** 用户系统 */
//    private List<DmSystem> dmSystems;

    /** 用户app菜单 */
    private List<DmAppMenu> dmAppMenus;
}