/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.user.service.dto;

import lombok.Data;

import java.sql.Timestamp;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import me.zhengjie.annotation.Query;

/**
* @website https://el-admin.vip
* @author shiguangji
* @date 2021-03-09
**/
@Data
public class DmUserQueryCriteria{

    @Query
    private String id;

    @Query(propName = "id", type = Query.Type.IN, joinName = "dept")
    private Set<String> deptIds = new HashSet<>();

    @Query(blurry = "name,contacts,email")
    private String blurry;

    private String deptId;

    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> createTime;

    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> updateTime;

    /** 精确 */
    @Query
    private Boolean isApprover;
}